# -*- coding: utf-8 -*-
from setuphelpers import *

uninstallkey = []

def install():
    package_version = control.version.split('-')[0]
    filename = 'thunderbird-%s.tar.bz2' % package_version

    run_notfatal('apt-get remove thunderbird -y --purge')
    run('tar -xf %s' % filename)
    killalltasks('thunderbird')
    if isdir('/opt/thunderbird'):
        remove_tree('/opt/thunderbird')
    copytree2('thunderbird','/opt/thunderbird')
    run('chown -R root:root /opt/thunderbird')
    run('ln -sf /opt/thunderbird/thunderbird /usr/bin/thunderbird')
    filecopyto('thunderbird.desktop','/usr/share/applications/thunderbird.desktop')
    run('chown root:root /usr/share/applications/thunderbird.desktop')

def uninstall():
    killalltasks('thunderbird')
    remove_file('/usr/share/applications/thunderbird.desktop')
    remove_tree('/opt/thunderbird')

def update_package():
    import re,requests,glob
    url = requests.head('https://download.mozilla.org/?product=thunderbird-latest&os=linux64&lang=%s' % (control.locale)).headers['Location']
    filename = url.rsplit('/',1)[1].replace('%20',' ')
    if not isfile(filename):
        print('Downloading %s from %s'%(filename,url))
        wget(url,filename)
    else:
        print(filename + ' already exist')

    # updates control version from filename, increment package version.
    control.version = '%s-10'%(re.findall(r'thunderbird-(.*).tar.bz2',filename)[0])
    control.save_control_to_wapt()

    # removes old exe
    if isfile(filename):
        exes = glob.glob('*.tar.bz2')
        for fn in exes:
            if fn != filename:
                print('Delete ' + fn)
                remove_file(fn)

    print('The update is complete, you can now test and then launch a build upload.')
